Holger's Java API

## com.antelmann.sql
Class TableComparator

    java.lang.Object
      com.antelmann.sql.TableComparator

    @Todo(value="this class ist still experimental")
    public class TableComparator

extends Object

allows to compare the content of two tables

Since:
  22.04.2010, 11:22:29
Author:
  Holger Antelmann

Constructor Summary
`TableComparator(Connection con1, String table1, Connection con2, String table2)`

Method Summary
`boolean` `createReport(Appendable writer)` returns true only if both tables appear the same

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableComparator

    public TableComparator(Connection con1,
                           String table1,
                           Connection con2,
                           String table2)

Method Detail

### createReport

    public boolean createReport(Appendable writer)
                         throws SQLException,
                                IOException

  returns true only if both tables appear the same

  Throws:
    `SQLException`
    `IOException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads